## vala-panel-appmenu 0.6.94+repack1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.6 FATAL_ERROR)
cmake_policy (VERSION 3.6)
project (vala-panel-appmenu C)
enable_testing ()
include(GNUInstallDirs)
set (DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/vala-panel")
set (PKGDATADIR "${DATADIR}")
set (GETTEXT_PACKAGE "vala-panel-appmenu")
set (RELEASE_NAME "Vala Panel Application Menu")
set (PREFIX ${CMAKE_INSTALL_PREFIX})
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
include(GitVersion)
determine_fallback_version(${CMAKE_SOURCE_DIR}/cmake)
include(FallbackVersion)
include(Format)

# Add 'make dist' command for creating release tarball
set (CPACK_PACKAGE_VERSION ${VERSION})
set (CPACK_PACKAGE_RELEASE "1")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_IGNORE_FILES "/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)
add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
#Add RPM build support
include (UseRPMTools)
if (RPMTools_FOUND)
   RPMTools_ADD_RPM_TARGETS(appmenu ${CMAKE_SOURCE_DIR}/rpm/vala-panel-appmenu.spec.in)
   RPMTools_ADD_RPM_TARGETS(module ${CMAKE_SOURCE_DIR}/rpm/appmenu-gtk-module.spec.in)
   RPMTools_ADD_RPM_TARGETS(jayatana ${CMAKE_SOURCE_DIR}/rpm/java-appmenu.spec.in)
endif(RPMTools_FOUND)

# Configuration
configure_file (${CMAKE_SOURCE_DIR}/vapi/config.vala.in ${CMAKE_BINARY_DIR}/vapi/config.vala)

# Some definitions
add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")

# Vala
find_package (Vala 0.34 REQUIRED)
include (ValaPrecompile)

add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")
#add_definitions(-w) #Suppress all GCC warnings
add_definitions(-Wall -Wextra -Wno-unused # Vala loves to create variables
                -Wno-unused-parameter
#		-pedantic
                -Wno-ignored-qualifiers
                -Wno-incompatible-pointer-types
                -Wno-missing-field-initializers
                -Wno-sign-compare) #Vala often forgot cast to GtkWidget or gpointer

find_package (PkgConfig)
find_package(GLIB2 2.50 REQUIRED COMPONENTS GOBJECT GIO GIO_UNIX GMODULE GTHREAD CODEGEN MKENUMS GENMARSHAL COMPILE_SCHEMAS COMPILE_RESOURCES)
include(GLibProgramHandlers)
find_package(GTK 3.22 REQUIRED COMPONENTS GDK GTK X11 WAYLAND)
find_package(BAMF 0.5.0 REQUIRED COMPONENTS LIB DAEMON)
if(${GLIB2_FOUND} AND ${GTK_FOUND})
    set(CORE_FOUND TRUE)
endif()

set(CORE_PACKAGES
  gtk+-3.0
  glib-2.0
  gio-2.0
  gio-unix-2.0
  gmodule-2.0
  libbamf3
  posix)

#set requred variables
set(TARGET_GLIB ${GLIB_VERSION_MAJOR}.${GLIB_VERSION_MINOR})
include(CMakeDependentOption)

#set build options
find_package(WNCK 3.4.8)
cmake_dependent_option(ENABLE_WNCK "Enable libwnck-related functions" ON
    "WNCK_FOUND" OFF)
if (ENABLE_WNCK)
    message("Using libwnck, will be X-dependent")
    set(WNCK_DEFINE -D WNCK)
    set(WNCK_PACKAGES libwnck-3.0)
    set(WNCK_TARGETS WNCK::WNCK)
endif()
pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0 IMPORTED_TARGET)
cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
    "XFCE_FOUND" OFF)

pkg_check_modules(MATE libmatepanelapplet-4.0 IMPORTED_TARGET)
cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
    "MATE_FOUND" OFF)

find_package(PEAS 1.14 COMPONENTS PEAS)
pkg_check_modules(VALAPANEL vala-panel IMPORTED_TARGET)
pkg_check_modules(VP_NEW vala-panel>=0.3.50 QUIET)
pkg_check_modules(BUDGIE budgie-1.0 IMPORTED_TARGET)

cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
    "VALAPANEL_FOUND; PEAS_FOUND" OFF)
if (VP_NEW_FOUND)
    message("Using 0.4 ValaPanelApplet api")
    set(NEW_DEFINE -D NEW)
    set(NEW_IFACE ON)
endif()

cmake_dependent_option(ENABLE_BUDGIE "Enable budgie-desktop plugin" ON
    "BUDGIE_FOUND; PEAS_FOUND" OFF)

add_subdirectory(subprojects)
ADD_SUBDIRECTORY(lib)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
if (ENABLE_XFCE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/xfce4/panel/plugins)
endif()
if (ENABLE_MATE)
    add_schema("org.valapanel.appmenu.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/appmenu-mate.desktop.plugin.in ${CMAKE_SOURCE_DIR}/data/appmenu-mate.desktop.in)
    configure_file(${CMAKE_SOURCE_DIR}/data/appmenu-mate.service.in ${CMAKE_BINARY_DIR}/data/appmenu-mate.serivce)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-mate.serivce DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/services/ RENAME org.mate.panel.applet.AppmenuAppletFactory.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-mate.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mate-panel/applets/ RENAME org.vala-panel.appmenu.mate-panel-applet)
endif()
if (ENABLE_VALAPANEL)
    add_schema("org.valapanel.appmenu.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu.plugin DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/vala-panel/applets/)
endif()
if (ENABLE_BUDGIE)
    add_schema("org.valapanel.appmenu.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-budgie.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-vala-panel-appmenu-plugin)
endif()

=== subprojects/CMakeLists.txt ===
add_subdirectory(appmenu-gtk-module)
ADD_SUBDIRECTORY(jayatana)
option(ENABLE_REGISTRAR "Enable Appmenu Registrar" ON)

if(ENABLE_REGISTRAR)
    ADD_SUBDIRECTORY(registrar)
endif()

=== lib/dbusmenu-importer/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3)
cmake_policy (VERSION 3.3)
cmake_policy (SET CMP0063 NEW)
project (dbusmenu-importer C)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Vala
set(ENUM_FILES
        definitions.h
        )
add_glib_enumtypes(ENUMSC ENUMSH importer-enums ${ENUM_FILES})
add_definitions(-Wall -Wextra
                -Wno-unused-parameter# Vala loves to create variables
                -pedantic
                -Wno-incompatible-pointer-types
                ) #Vala often forgot cast to GtkWidget or gpointer

find_package (PkgConfig)
find_package(GLIB2 2.50 REQUIRED QUIET COMPONENTS GOBJECT GIO GIO_UNIX GMODULE GTHREAD CODEGEN MKENUMS )
include(GLibProgramHandlers)
find_package(GTK 3.22 REQUIRED QUIET COMPONENTS GDK )

pkg_check_modules(PIXBUF REQUIRED QUIET
    gdk-pixbuf-2.0)

set(DBUS_PROXY)
set(DBUS_NAME "dbusmenu-interface")
set(DBUS_NAMESPACE "DBusMenu")
set(XML "com.canonical.dbusmenu.xml")
set(PREFIX "com.canonical")
add_gdbus_codegen(DBUS_GENERATED_SOURCES ${DBUS_NAME} ${PREFIX} ${XML} NAMESPACE ${DBUS_NAMESPACE})
set(DBUSMENU_C_SOURCES
    definitions.h
    item.c
    item.h
    importer.c
    importer.h
    model.h
    model.c
    section.c
    section.h
    utils.c
    utils.h
    debug.c
    debug.h
    )

add_library(dbusmenu-importer STATIC
    ${DBUS_GENERATED_SOURCES}
    ${DBUSMENU_C_SOURCES}
    ${ENUMSC}
    ${ENUMSH}
    )
#add_dependencies(dbusmenu-importer dbus-xml)
set_target_properties(dbusmenu-importer PROPERTIES
#        C_VISIBILITY_PRESET hidden	# Make global variables and functions HIDDEN by default.
        POSITION_INDEPENDENT_CODE ON	# Compile this object code position independent.
)
target_include_directories (dbusmenu-importer PRIVATE ${PIXBUF_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries(dbusmenu-importer PRIVATE GLIB2::GIO_UNIX ${PIXBUF_LIBRARIES})


add_executable(dbusmenu-test test.c)
target_link_libraries(dbusmenu-test PRIVATE GLIB2::GIO GTK3::GTK GTK3::GDK dbusmenu-importer)
target_include_directories (dbusmenu-test PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})


#xadd_subdirectory(mate-dbusmenu)

=== subprojects/registrar/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3)
cmake_policy (VERSION 3.3)
project (appmenu-registrar C)
enable_testing ()
include(GNUInstallDirs)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(REGISTRAR_C_FILES
    registrar-main.c
    registrar-dbusmenu.c)
configure_file (config.h.in config.h)
find_package(GLIB2 2.50 REQUIRED QUIET COMPONENTS GOBJECT GIO GIO_UNIX GENMARSHAL)
include(GLibProgramHandlers)
add_glib_marshal(MARSHALC MARSHALH "registrar-marshal" g_cclosure_user_marshal)
file(STRINGS data/com.canonical.AppMenu.Registrar.xml XML_RAW)
string(CONCAT XML_CONTENTS ${XML_RAW})
file(STRINGS data/org.valapanel.AppMenu.Registrar.xml PRIVATE_RAW)
string(CONCAT PRIVATE_CONTENTS ${PRIVATE_RAW})
configure_file(registrar-xml.c.in registrar-xml.c ESCAPE_QUOTES)

add_executable (appmenu-registrar
    ${CMAKE_CURRENT_BINARY_DIR}/registrar-xml.c
    ${REGISTRAR_C_FILES}
    ${MARSHALC}
    ${RESOURCES}
)
target_link_libraries (appmenu-registrar GLIB2::GIO_UNIX GLIB2::GOBJECT m)
# Install plugin stuffs
install(TARGETS appmenu-registrar DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/vala-panel)

configure_file(data/appmenu-registrar.service.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-registrar.serivce)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-registrar.serivce DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/services/ RENAME com.canonical.AppMenu.Registrar.service)

=== debian/changelog ===
vala-panel-appmenu (0.6.94+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release (0.6.93).
  * debian/patches:
    + Drop 0001_fix_menu_bar_height.patch. Applied upstream.
    + Drop 0002_make_separator_transparent.patch. Applied upstream.
    + Drop 0010_send_opened_before_actual_load.patch. Applied upstream.
    + Drop 0011_check_and_ignore_firefox_stubs.patch. Applied upstream.
    + Drop 0012_use_opened_before_abouttoshow.patch. Applied upstream.
    + Drop 0020_handle_non_standard_border.patch. Applied upstream.
    + Rebased 2001_subprojects-not-shipped-with-the-source-tree.patch.
    + Add 0001_nullify_GVariants.patch. nullify GVariants to prevent Qt5
      applications from crashing the XFCE panel.
  * debian/rules:
    + Add -DENABLE_REGISTRAR=ON to ensure appmenu-registrar is built.

  [ Mike Gabriel ]
  * New upstream release (0.6.94).
  * debian/patches:
    + Drop 0001_nullify_GVariants.patch. Applied upstream in 0.6.94.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
    + Add Comment: field that explains why the orig tarball has been repacked.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Mar 2018 22:00:01 +0200

vala-panel-appmenu (0.6.92+repack1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/10_budgie_appmenu_applet.gschema.override:
    + Update namespace to reflect upstream changes.
  * debian/10_mate_applet_appmenu.gschema.override:
    + Update namespace to reflect upstream changes. Make application names bold
      via gschema override.
  * debian/patches:
    + Drop 2002_bold_application_name.patch. Bold application names are now set
      via a gschema override.
    + Add 0002_make_separator_transparent.patch: Make the separator between the
      application name and menus transparent for wider theme compatibility.
    + Add 0010_send_opened_before_actual_load.patch. Send opened before actual
      load to support Firefox and Thunderbird.
    + Add 0011_check_and_ignore_firefox_stubs.patch. Check and ignore Firefox
      stubs.
    + Add 0012_use_opened_before_abouttoshow.patch. Use Opened before
      AboutToShow to properly support Firefox and Thunderbird.
    + Add 0020_handle_non_standard_border.patch. Handle non-standard borders
      to prevent VLC crashing the applet.

  [ Mike Gabriel ]
  * debian/control:
    + Drop alternative Recommends: of unity-gtk<X>-module. Debian and Ubuntu
      both (and other derivatives) should now use appmenu-gtk-module.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Mar 2018 10:57:57 +0100

vala-panel-appmenu (0.6.92+repack1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Fix Vcs-*: fields. Don't point to upstream but to Alioth.

  [ Martin Wimpress ]
  * debian/vala-panel-appmenu.sh:
    + Fix GTK_MODULES to load appmenu-gtk-module.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Mar 2018 15:56:20 +0100

vala-panel-appmenu (0.6.92+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/rules:
    + Drop obsolete -DMAKE_BOLD_APPNAME=ON. Bold application names is now an in
      applet preference.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add README.
    + Add 0001_fix_menu_bar_height.patch. Use EXPAND_MINOR to correct the height
      of global menus.
    + Add 2002_bold_application_name.patch. Make application names bold by
      default.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 20:25:26 +0100

vala-panel-appmenu (0.6.80+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Alternatively recommend appmenu-gtk*-module _or_ unity-gtk*-module.
    + Versioned B-D on libbamf3-dev (>= 0.5.0). Add bamfdaemon to B-Ds, too.
  * debian/copyright:
    + Update copyright attributions.
    + Use secure URI in copyright format.
    + Add copyright.in (auto-generated reference for copyright file).
  * debian/rules:
    + Fix orig tarball repacking for 0.6.80.
    + Switch from dh_install --list-missing to dh_missing --fail-missing.
  * debian/patches:
    + Adapt 2001_subprojects-not-shipped-with-the-source-tree.patch to
      reorganization in upstream source tree.
    + Drop 0000_fix_mate_expand.patch. Applied upstream.
  * debian/vala-panel-appmenu-common.install:
    + Add org.valapanel.appmenu.gschema.xml.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Feb 2018 23:53:51 +0100

vala-panel-appmenu (0.6.1+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * Initial upload to Debian. (Closes: #887906).
  * Add bin:pkg vala-panel-appmenu-registrar.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/rules:
    + Include buildflags.mk to fix missing hardening.
    + Repack tarball and remove jayatana and appmenu-gtk-module.
  * debian/watch:
    + Add dversionmangle magic.
  * debian/patches:
    + Add 2001_subprojects-not-shipped-with-the-source-tree.patch.
      Disable building code removed in repacked orig tarball. Also
      drop some RPM building logic not required for Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Jan 2018 00:25:35 +0100

=== debian/control ===
Source: vala-panel-appmenu
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.alioth.debian.org>,
Build-Depends: budgie-core-dev,
               cmake (>= 2.8.0),
               debhelper (>= 11~),
               libbamf3-dev (>= 0.5.0),
               bamfdaemon (>= 0.5.0),
               libgtk-3-dev (>= 3.12.0),
               libmate-panel-applet-dev (>= 1.16),
               libpeas-dev (>= 1.2.0),
               libvalapanel-dev (>= 0.3.60),
               libwnck-3-dev (>= 3.4.0),
               libxfce4panel-2.0-dev,
               libxfconf-0-dev,
               valac (>= 0.24.0),
               xfce4-panel-dev (>= 4.11.2),
Standards-Version: 4.1.3
Homepage: https://github.com/rilian-la-te/vala-panel-appmenu
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git

Package: budgie-appmenu-applet
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for budgie-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides the plugin for Budgie.

Package: xfce4-appmenu-plugin
Section: xfce
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for xfce4-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides the plugin for Xfce.

Package: mate-applet-appmenu
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for mate-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides the plugin for MATE.

Package: vala-panel-appmenu
Architecture: any
Depends: bamfdaemon,
         vala-panel-appmenu-common (= ${source:Version}),
         vala-panel-appmenu-registrar (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: Application Menu plugin for vala-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.

Package: vala-panel-appmenu-registrar
Architecture: any
Depends: vala-panel-appmenu-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-qt,
            appmenu-qt5,
            libdbusmenu-glib4,
            libdbusmenu-gtk3-4,
            libdbusmenu-gtk4,
            appmenu-gtk2-module,
            appmenu-gtk3-module,
Description: DBusMenu registrar for vala-panel
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides a DBusMenu registrar.

Package: vala-panel-appmenu-common
Architecture: all
Depends: ${misc:Depends},
Description: Common files for Application Menu plugins
 This is an Application Menu (Global Menu) plugin. It is built using
 the Unity protocol and libraries and provides all features found in
 the Unity implementation.
 .
 This package provides common files.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--buildsystem=cmake
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@ $(DHFLAGS)

override_dh_auto_build:
	dh_auto_build $(DHFLAGS)

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DENABLE_BUDGIE=ON \
		-DENABLE_MATE=ON \
		-DENABLE_REGISTRAR=ON \
		-DENABLE_UNITY_GTK_MODULE=OFF \
		-DENABLE_VALAPANEL=ON \
		-DENABLE_XFCE=ON \
		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/budgie-desktop/plugins/appmenu-budgie
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/budgie-desktop/plugins/budgie-vala-panel-appmenu-plugin/* $(CURDIR)/debian/tmp/usr/lib/budgie-desktop/plugins/appmenu-budgie

override_dh_makeshlibs:
	dh_makeshlibs -Xbudgie -Xmate -Xvala-panel -Xxfce4

override_dh_missing:
	dh_missing --fail-missing

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.gz --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        dbusmenu-original/ \
	        subprojects/appmenu-gtk-module/ \
	        subprojects/jayatana/ \
	        po/*.mo \
	        po/stamp-it \
	        $(NULL)
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	    find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack1//;s/~rc/-rc/ \
https://github.com/rilian-la-te/vala-panel-appmenu/releases .*/vala-panel-appmenu-(\d\S+)\.tar\.gz

## vala-panel-appmenu 0.7.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,21 +3,29 @@
 project (vala-panel-appmenu C)
 enable_testing ()
 include(GNUInstallDirs)
+include(FeatureSummary)
 set (DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/vala-panel")
 set (PKGDATADIR "${DATADIR}")
 set (GETTEXT_PACKAGE "vala-panel-appmenu")
 set (RELEASE_NAME "Vala Panel Application Menu")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+if(EXISTS ${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
+    include(${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
+    use_vcm(${CMAKE_SOURCE_DIR}/cmake)
+else()
+    find_package(VCM REQUIRED NO_MODULE)
+    list(APPEND CMAKE_MODULE_PATH ${VCM_MODULE_PATH})
+endif()
 include(GitVersion)
 determine_fallback_version(${CMAKE_SOURCE_DIR}/cmake)
-include(FallbackVersion)
+include(${CMAKE_SOURCE_DIR}/cmake/FallbackVersion.cmake)
 include(Format)
 
 # Add 'make dist' command for creating release tarball
 set (CPACK_PACKAGE_VERSION ${VERSION})
 set (CPACK_PACKAGE_RELEASE "1")
-set (CPACK_SOURCE_GENERATOR "TGZ")
+set (CPACK_SOURCE_GENERATOR "TXZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES "/build/;/.gitmodules;/.git;/.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
 
@@ -77,8 +85,8 @@
 find_package(WNCK 3.4.8)
 cmake_dependent_option(ENABLE_WNCK "Enable libwnck-related functions" ON
     "WNCK_FOUND" OFF)
+add_feature_info(LibWnck ENABLE_WNCK "alternative supporting backend")
 if (ENABLE_WNCK)
-    message("Using libwnck, will be X-dependent")
     set(WNCK_DEFINE -D WNCK)
     set(WNCK_PACKAGES libwnck-3.0)
     set(WNCK_TARGETS WNCK::WNCK)
@@ -86,28 +94,35 @@
 pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
     "XFCE_FOUND" OFF)
+add_feature_info(Xfce ENABLE_XFCE "Xfce Panel Integration")
 
-pkg_check_modules(MATE libmatepanelapplet-4.0 IMPORTED_TARGET)
+pkg_check_modules(MATE libmatepanelapplet-4.0>=1.20 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
     "MATE_FOUND" OFF)
+add_feature_info(MATE ENABLE_MATE "MATE Panel Integration")
 
 find_package(PEAS 1.14 COMPONENTS PEAS)
 pkg_check_modules(VALAPANEL vala-panel IMPORTED_TARGET)
-pkg_check_modules(VP_NEW vala-panel>=0.3.50 QUIET)
+pkg_check_modules(VP_NEW vala-panel>=0.4.50 QUIET)
 pkg_check_modules(BUDGIE budgie-1.0 IMPORTED_TARGET)
 
 cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
-    "VALAPANEL_FOUND; PEAS_FOUND" OFF)
+    "VALAPANEL_FOUND" OFF)
 if (VP_NEW_FOUND)
-    message("Using 0.4 ValaPanelApplet api")
+    add_feature_info(ValaPanel ENABLE_VALAPANEL "Vala Panel Integration - 0.5.x")
     set(NEW_DEFINE -D NEW)
     set(NEW_IFACE ON)
+else()
+    add_feature_info(ValaPanel ENABLE_VALAPANEL "Vala Panel Integration - 0.4.x")
 endif()
 
 cmake_dependent_option(ENABLE_BUDGIE "Enable budgie-desktop plugin" ON
     "BUDGIE_FOUND; PEAS_FOUND" OFF)
+add_feature_info(Budgie ENABLE_BUDGIE "Budgie Desktop Integration")
 
 add_subdirectory(subprojects)
 ADD_SUBDIRECTORY(lib)
 add_subdirectory(data)
 add_subdirectory(po)
+
+feature_summary(WHAT ALL)

=== data/CMakeLists.txt ===
if (ENABLE_XFCE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/xfce4/panel/plugins)
endif()
if (ENABLE_MATE)
    add_schema("org.valapanel.appmenu.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/appmenu-mate.desktop.plugin.in ${CMAKE_SOURCE_DIR}/data/appmenu-mate.desktop.in)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-mate.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mate-panel/applets/ RENAME org.vala-panel.appmenu.mate-panel-applet)
endif()
if (ENABLE_VALAPANEL)
    add_schema("org.valapanel.appmenu.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/appmenu.desktop.plugin.in.cmake ${CMAKE_SOURCE_DIR}/data/appmenu.desktop.plugin.in @ONLY)
    if(NEW_IFACE)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu.plugin DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala-panel/applets/)
    else()
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu.plugin DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/vala-panel/applets/)
    endif()
endif()
if (ENABLE_BUDGIE)
    add_schema("org.valapanel.appmenu.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-budgie.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-vala-panel-appmenu-plugin)
endif()

=== lib/CMakeLists.txt ===
#####
# Core Parts (GResource, definitions)
#####
set(CMAKE_INCLUDE_CURRENT_DIR ON)
add_subdirectory(dbusmenu-importer)
set(CORE_VALA_FILES
    appmenu-abstractions.vala
    appmenu-bamf.vala
    registrar.vala
    menu-widget.vala
    helper-desktop.vala
    helper-dbus.vala
    helper-dbusmenu.vala
    helper-menumodel.vala
    ${CMAKE_BINARY_DIR}/vapi/config.vala
)
vala_precompile(VALA_C_CORE appmenu-core
    ${CORE_VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    dbus-menu-importer
    gio-addons-2.0
    launcher
    ${WNCK_PACKAGES}
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_CURRENT_BINARY_DIR}
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/dbusmenu-importer
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/libappmenu.gresource.xml
    --thread
    ${WNCK_DEFINE}
GENERATE_VAPI
    vala-panel-appmenu
)
glib_compile_resources(RESOURCES
    source
        libappmenu.gresource.xml
)
include_directories(${CMAKE_SOURCE_DIR})
set(CORE_C_FILES
    launcher.c
    launcher.h
)
set(PLUGIN_VALA_FILES
    valapanel-plugin-appmenu.vala
    xfce4-plugin-appmenu.vala
    mate-plugin-appmenu.vala
    budgie-plugin-appmenu.vala
    )
add_library(appmenu-core STATIC ${CORE_C_FILES} ${VALA_C_CORE})
target_link_libraries (appmenu-core
    dbusmenu-importer
    GLIB2::GIO_UNIX
    GLIB2::GOBJECT
    GTK3::GTK
    GTK3::GDK
    BAMF::LIB
    ${WNCK_TARGETS}
    m)
set_target_properties(appmenu-core PROPERTIES
        POSITION_INDEPENDENT_CODE ON	# Compile this object code position independent.
)
add_custom_target(vala-files-ide SOURCES ${VALA_FILES_DBUSMENU} ${CORE_VALA_FILES} ${PLUGIN_VALA_FILES})
##########
# XFCE Part
##########
if (ENABLE_XFCE)
    vala_precompile(VALA_C_XFCE appmenu-xfce
        xfce4-plugin-appmenu.vala
    PACKAGES
        ${CORE_PACKAGES}
        vala-panel-appmenu
        ${WNCK_PACKAGES}
        libxfce4panel-2.0
        libxfconf-0
    OPTIONS
        --vapidir=${CMAKE_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.50
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/libappmenu.gresource.xml
        --thread
        ${WNCK_DEFINE}
    )
    add_library (appmenu-xfce MODULE
        ${VALA_C_XFCE}
        ${RESOURCES}
    )
    target_link_libraries (appmenu-xfce appmenu-core PkgConfig::XFCE)
    # Install plugin stuffs
    install(TARGETS appmenu-xfce DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
endif()
##########
# ValaPanel Part
##########
if(ENABLE_VALAPANEL)
    vala_precompile(VALA_C_VALAPANEL appmenu-valapanel
        valapanel-plugin-appmenu.vala
    PACKAGES
        ${CORE_PACKAGES}
        vala-panel-appmenu
        ${WNCK_PACKAGES}
        vala-panel
        libpeas-1.0
    OPTIONS
        --vapidir=${CMAKE_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --vapidir=${CMAKE_BINARY_DIR}/dbusmenu
        --target-glib=2.50
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/libappmenu.gresource.xml
        --thread
        ${WNCK_DEFINE}
        ${NEW_DEFINE}
    )

    # Build library for plugins and application
    add_library (appmenu-valapanel MODULE
        ${VALA_C_VALAPANEL}
        ${RESOURCES}
    )
    set_target_properties(appmenu-valapanel PROPERTIES
        OUTPUT_NAME appmenu)
    if(NEW_IFACE)
        target_link_libraries (appmenu-valapanel appmenu-core PkgConfig::VALAPANEL)
    else()
        target_link_libraries (appmenu-valapanel appmenu-core PEAS::PEAS PkgConfig::VALAPANEL)
    endif()
    # Install plugin stuffs
    install(TARGETS appmenu-valapanel DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
endif()
##########
# Budgie Panel Part
##########
if(ENABLE_BUDGIE)
    vala_precompile(VALA_C_BUDGIE appmenu-budgie
        budgie-plugin-appmenu.vala
    PACKAGES
        ${CORE_PACKAGES}
        vala-panel-appmenu
        ${WNCK_PACKAGES}
        budgie-1.0
        libpeas-1.0
    OPTIONS
        --vapidir=${CMAKE_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.50
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/libappmenu.gresource.xml
        --thread
        ${WNCK_DEFINE}
    )

    # Build library for plugins and application
    add_library (appmenu-budgie MODULE
        ${VALA_C_BUDGIE}
        ${RESOURCES}
    )
    target_link_libraries (appmenu-budgie appmenu-core PEAS::PEAS PkgConfig::BUDGIE)
    # Install plugin stuffs
    install(TARGETS appmenu-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-vala-panel-appmenu-plugin)
endif()
##########
# MATE Part
##########
if (ENABLE_MATE)
    vala_precompile(VALA_C_MATE appmenu-mate
	mate-plugin-appmenu.vala
    PACKAGES
	${CORE_PACKAGES}
	vala-panel-appmenu
	${WNCK_PACKAGES}
	libmatepanelapplet-4.0
    OPTIONS
	--vapidir=${CMAKE_SOURCE_DIR}/vapi
	--vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.50
	--gresources=${CMAKE_CURRENT_SOURCE_DIR}/libappmenu.gresource.xml
	--thread
	${WNCK_DEFINE}
    )
    add_library (appmenu-mate MODULE
                ${VALA_C_MATE}
		${RESOURCES}
    )
    target_link_libraries (appmenu-mate appmenu-core PkgConfig::MATE)
    # Install plugin stuffs
    install(TARGETS appmenu-mate DESTINATION ${CMAKE_INSTALL_LIBDIR}/mate-panel)
endif()

=== lib/dbusmenu-importer/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 add_glib_enumtypes(ENUMSC ENUMSH importer-enums ${ENUM_FILES})
 add_definitions(-Wall -Wextra
                 -Wno-unused-parameter# Vala loves to create variables
-                -pedantic
                 -Wno-incompatible-pointer-types
                 ) #Vala often forgot cast to GtkWidget or gpointer

=== debian/changelog ===
vala-panel-appmenu (0.7.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #907708).
  * debian/control (et al.):
    + Drop bin:pkg vala-panel-appmenu-registrar and use bin:pkg
      appmenu-registrar instead.
  * debian/control:
    + Update B-Ds; add cmake-vala, bump versioned B-D libvalapanel-dev
      to (>= 0.4).
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/patches:
    + Drop 2001_subprojects-not-shipped-with-the-source-tree.patch.
    + Add 2001_no-subprojects.patch: in Debian, we ship the subprojects as
      separate src:pkgs.
    + Add 2002_no-FallbackVersion-update.patch: don't generate
      FallbackVersion.cmake at build time.
  * debian/rules:
    + Add dh_auto_clean override to get rid of some build cruft.
  * debian/vala-panel-appmenu.install:
    + Plugins have been moved to DATADIR, add usr/share/vala-panel/*.
  * debian/mate-applet-appmenu.install:
    + The org.mate.panel.applet.AppmenuAppletFactory.service file has been
      dropped by upstream.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/watch:
    + Adapt to new upstream release scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 16:46:28 +0200

vala-panel-appmenu (0.6.94+repack1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + 10_budgie_appmenu_applet.gschema.override. Do not blacklist glade or
      anjuta, both now work.
    + 10_mate_applet_appmenu.gschema.override. Do not blacklist glade or anjuta,
      both now work.

  [ Mike Gabriel ]
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Fix MATE team's mail address in Uploaders: field.
  * debian/{control,copyright,watch}: New upstream home (GitLab.com).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jul 2018 22:11:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,32 @@
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
- Debian+Ubuntu MATE Packaging Team <debian-mate@lists.alioth.debian.org>,
+ Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Build-Depends: budgie-core-dev,
                cmake (>= 2.8.0),
+               cmake-vala,
                debhelper (>= 11~),
                libbamf3-dev (>= 0.5.0),
                bamfdaemon (>= 0.5.0),
                libgtk-3-dev (>= 3.12.0),
                libmate-panel-applet-dev (>= 1.16),
                libpeas-dev (>= 1.2.0),
-               libvalapanel-dev (>= 0.3.60),
+               libvalapanel-dev (>= 0.4),
                libwnck-3-dev (>= 3.4.0),
                libxfce4panel-2.0-dev,
                libxfconf-0-dev,
                valac (>= 0.24.0),
                xfce4-panel-dev (>= 4.11.2),
-Standards-Version: 4.1.3
-Homepage: https://github.com/rilian-la-te/vala-panel-appmenu
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/vala-panel-appmenu.git
+Standards-Version: 4.2.1
+Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel-appmenu.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel-appmenu
 
 Package: budgie-appmenu-applet
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -51,7 +52,7 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -72,7 +73,7 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -93,7 +94,7 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         vala-panel-appmenu-registrar (= ${binary:Version}),
+         appmenu-registrar (>= 0.7.1),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt,
@@ -108,25 +109,6 @@
  the Unity protocol and libraries and provides all features found in
  the Unity implementation.
 
-Package: vala-panel-appmenu-registrar
-Architecture: any
-Depends: vala-panel-appmenu-common (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: appmenu-qt,
-            appmenu-qt5,
-            libdbusmenu-glib4,
-            libdbusmenu-gtk3-4,
-            libdbusmenu-gtk4,
-            appmenu-gtk2-module,
-            appmenu-gtk3-module,
-Description: DBusMenu registrar for vala-panel
- This is an Application Menu (Global Menu) plugin. It is built using
- the Unity protocol and libraries and provides all features found in
- the Unity implementation.
- .
- This package provides a DBusMenu registrar.
-
 Package: vala-panel-appmenu-common
 Architecture: all
 Depends: ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +repack1
+DTYPE = +dfsg1
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
@@ -23,8 +23,6 @@
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DENABLE_BUDGIE=ON \
 		-DENABLE_MATE=ON \
-		-DENABLE_REGISTRAR=ON \
-		-DENABLE_UNITY_GTK_MODULE=OFF \
 		-DENABLE_VALAPANEL=ON \
 		-DENABLE_XFCE=ON \
 		-DCMAKE_INSTALL_LIBEXECDIR=/usr/lib
@@ -40,6 +38,11 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f data/appmenu-mate.desktop.in
+	rm -f data/appmenu.desktop.plugin.in
+
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
 
@@ -49,15 +52,14 @@
 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	@echo "# Extracting..."
 	mkdir $(PKG)-$(VER) \
-	    && tar -xf $(PKG)_$(VER).orig.tar.gz --directory $(PKG)-$(VER) --strip-components 1 \
+	    && tar -xf $(PKG)_$(VER).orig.tar.xz --directory $(PKG)-$(VER) --strip-components 1 \
 	    || $(RM) -r $(PKG)-$(VER)
 	@echo "# Cleaning-up..."
 	cd $(PKG)-$(VER) \
 	    && $(RM) -r -v \
-	        dbusmenu-original/ \
-	        subprojects/appmenu-gtk-module/ \
-	        subprojects/jayatana/ \
-	        po/*.mo \
+	        _ccache/ \
+	        rpm/ \
+	        subprojects/ \
 	        po/stamp-it \
 	        $(NULL)
 	$(RM) -v $(PKG)_$(VER).orig.tar.*

## vala-panel-appmenu 0.7.3%2Bdfsg1

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1// \
https://gitlab.com/vala-panel-project/vala-panel-appmenu/tags .*/uploads/.*/vala-panel-appmenu-?([\d\.]+)\.tar\.xz
